from ppms.migration import SQLPacket, PacketCategory


class FixFixCostAggregation(SQLPacket):
    """Fix the I-Text of Sql Statements created by MP FixCostAggregation"""
    done_after_success = True
    run_on_startup = True
    category = PacketCategory.CATEGORY_MANDATORY
    wi_number = 17754

    FILENAME = 'WI17754_fix_fixcostaggregation.sql'

    def fix(self, runner):
        self.apply_dml_file(self.sql_planta_de_ansi, self.FILENAME)
        return self.success()

